Table of Contents

## Name

xlsclients - list client applications running on a display

## Synopsis

xlsclients [-display displayname] [-a] [-l] [-m maxcmdlen]

## Description

Xlsclients is a utility for listing information about the client applications running on a display. It may be used to generate scripts representing a snapshot of the user's current session.

## Options

-display displayname
  This option specifies the X server to contact.
-a
  This option indicates that clients on all screens should be listed. By default, only those clients on the default screen are listed.
-l
  List in long format, giving the window name, icon name, and class hints in addition to the machine name and command string shown in the default format.
-m maxcmdlen
  This option specifies the maximum number of characters in a command to print out. The default is 10000.

## Environment

DISPLAY
  To get the default host, display number, and screen.

## See Also

X(1) , xwininfo(1) , xprop(1)

## Author

Jim Fulton, MIT X Consortium

Table of Contents

- Name
- Synopsis
- Description
- Options
- Environment
- See Also
- Author